Subject: Re: [PATCH RFC 0/5] powerpc:numa Add serial nid support

From: Raghavendra K T <[email-masked]>
Date: Tue, 29 Sep 2015 23:50:04 +0530

On 09/28/2015 10:34 PM, Nishanth Aravamudan wrote:
> On 28.09.2015 [13:44:42 +0300], Denis Kirjanov wrote:
>> On 9/27/15, Raghavendra K T <[email-masked]> wrote:
>>> Problem description:
>>> Powerpc has sparse node numbering, i.e. on a 4 node system nodes are
>>> numbered (possibly) as 0,1,16,17. At a lower level, we map the chipid
>>> got from device tree is naturally mapped (directly) to nid.
>>
>> Interesting thing to play with, I'll try to test it on my POWER7 box,
>> but it doesn't have the OPAL layer :(

Hi Denis,
Thanks for your interest. I have pushed the patches to

https://github.com/ktraghavendra/linux/tree/serialnuma_v1 if it makes
  patches easy to grab.

>
> Note that it's also interesting to try it under PowerVM, with odd NUMA
> topologies and report any issues found :)
>

Thanks Nish, I 'll also grab a powerVM and test.